TAAS - Feature #308

Assets Import
02/14/2024 09:51 AM - Junaid M

Status: New Changes Coding Done Start date: 02/14/2024
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Assets Import

Description

Coding Assets Import

History

#1 - 02/24/2024 09:32 AM - Junaid M

- Assignee changed from travvise Admin to Nithin Raj

#2 - 06/13/2024 11:05 AM - Anonymous

- Assignee changed from Nithin Raj to travvise Admin

#3 - 08/20/2024 04:09 PM - Anil KV
GUI Change

—-> Add Current Assets Status column

#4 - 08/23/2024 03:03 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#5 - 08/23/2024 04:00 PM - Anil KV
Workflow

—>The item not in Assets Master then add
-then create assets purchase import
—-Fields missing then discus and Add

#6 - 08/23/2024 04:01 PM - Anil KV
Posting

#7 - 08/30/2024 09:55 AM - Junaid M

- Assignee changed from travvise Admin to Nithin PM

#8 - 09/04/2024 04:00 PM - Anil KV

Document No (Master)
Date (Master)
Purchase Date*
Branch (Master)
Department (Master)
Assets Code*
Assets Name
Item Code*

Item Name*

Supplier/FOP Code (Master) *
Supplier/FOP Name (Master)

Bill Number (Master)

Reference (Master)

Narration (Master)

Note (Master)

Depreciation %

Last Depreciation Date
Particulars

Reference

Transaction Currency

ROE

Transaction Purchase Amount
Transaction Total Depreciation Amount
Transaction Current Asset Value
Base Purchase Amount

Base Total Depreciation Amount
Base Current Asset Value

Calculation:—
dbl_ledg_cur_price = Transaction Purchase Amount
dbl_ledg_cur_input_amount = Transaction Purchase Amount

dbl_ledg_cur_vat = 0
dbl_ledg_cur_deduction = 0
dbl_ledg_cur_extra_pay = 0

dbl_ledg_cur_purchase_amount = Transaction Purchase Amount

dbl_ledg_cur_depreciation_start_amount

dbl_ledg_cur_imported_depreciation =
dbl_ledg_cur_sys_depreciation = 0
dbl_ledg_cur_sales_retrun_deduction =

#9 - 09/04/2024 04:04 PM - Anil KV

Document No (Master)

Date (Master)

Purchase Date*

Branch (Master)

Department (Master)

Assets Code*

Assets Name

Item Code*

Item Name*

Supplier/FOP Code (Master) *
Supplier/FOP Name (Master)

Bill Number (Master)

Reference (Master)

Narration (Master)

Note (Master)

Depreciation %

Last Depreciation Date
Particulars

Reference

Transaction Currency

ROE

Transaction Purchase Amount
Transaction Total Depreciation Amount
Transaction Current Asset Value
Base Purchase Amount

Base Total Depreciation Amount
Base Current Asset Value

Calculation:-

= Transaction Purchase Amount

Transaction Total Depreciation Amount

0

dbl_ledg_cur_price = Transaction Purchase Amount

dbl_ledg_cur_input_amount = Transaction Purchase Amount

dbl_ledg_cur_vat = 0
dbl_ledg_cur_deduction = 0
dbl_ledg_cur_extra_pay = 0

dbl_ledg_cur_purchase_amount = Transaction Purchase Amount

dbl_ledg_cur_depreciation_start_amount

dbl_ledg_cur_imported_depreciation =
dbl_ledg_cur_sys_depreciation = 0

05/04/2025

= Transaction Purchase Amount

Transaction Total Depreciation Amount
dbl_ledg_cur_sales_retrun_deduction = 0

#10 - 09/25/2024 11:53 AM - Nithin PM
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#11 - 11/26/2024 01:15 PM - Nithin PM
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#12 - 12/03/2024 02:13 PM - Arathy PS
- Status changed from Coding Done to New Changes

- % Done changed from 60 to 50

NEW CHANGES

1. Add a new save settings button on the properties grid. (refer journal import)

#13 - 12/03/2024 02:18 PM - Arathy PS

- Assignee changed from Nithin PM to Augustin Jose

#14 - 12/04/2024 10:24 AM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#15 - 03/06/2025 04:43 PM - Arathy PS

- Assignee changed from Augustin Jose to Nawal Sidique

#16 - 03/06/2025 05:10 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

NEW CHANGES - DONE

Discuss with anil whether the Import need first two requirements fields,

1. Code and name in same column in excel file :

A checkbox Code and name in same column

Give same column no: for both code and name and if the check box is ticked then an entry box: Split character.
Add tooltip to the fields.

2. If the code is not auto generated and no code in excel file then a check box, No code-- if the check box is ticked then an entry box: code character
add title to the fields.

3. The default action type should be: Remove all and insert.

#17 - 03/06/2025 05:11 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

#18 - 03/11/2025 08:45 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
